\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{JK_style}[2020/12/10 Jakub Kozłowicz LaTeX style]

% Package for encoding required by font
\RequirePackage[T1]{fontenc}

% Change font
\RequirePackage{kpfonts}

% Package for header and footer
\RequirePackage{fancyhdr}

% Package for color
\RequirePackage{xcolor}

% Package for referencing to figures
\RequirePackage{caption}

% Make indent after any section
\RequirePackage{indentfirst}

% Package for styling section titles
\RequirePackage{titlesec}

% Figure numbering each section
\numberwithin{figure}{section}

% Setup for hyperlinks
\hypersetup{
 colorlinks=true,
 linkcolor=blue,
 filecolor=magenta,
 urlcolor=cyan,
}
\urlstyle{same}

% Adding more space between lines
\renewcommand{\baselinestretch}{1.62}

% Command for dealing with \@
%% in pair with \makeatother
\makeatletter

% Adding command for subtitle
\newcommand*{\subtitle}[1]{\gdef\@subtitle{#1}}
\newcommand*{\@subtitle}{}%

% Adding command for lecturer
\newcommand*{\lecturer}[1]{\gdef\@lecturer{#1}}
\newcommand*{\@lecturer}{}%

% Adding command for index number
\newcommand*{\nrindex}[1]{\gdef\@nrindex{#1}}
\newcommand*{\@nrindex}{}%


\renewcommand{\maketitle}{
  \begin{titlepage}
    \center
    {\Huge \textsc{Politechnika Wrocławska}} \\[1.5cm]
    {\Large \textsc{\@subtitle}} \\[0.5cm]
    \rule{\linewidth}{0.4mm} \\[0.6cm]
    {\huge \textbf{\@title}} \\[0.2cm]
    \rule{\linewidth}{0.4mm} \\[1.5cm]
    \begin{minipage}[t]{0.4\textwidth}
    \begin{flushleft} \large
    \emph{Autor:}\\
    \@author \\
    \textit{\@nrindex}
    \end{flushleft}
    \end{minipage}
    ~
    \begin{minipage}[t]{0.4\textwidth}
    \begin{flushright} \large
    \emph{Prowadzący:} \\
    \@lecturer \\
    \end{flushright}
    \end{minipage}\\[2cm]
    {\large \@date}
    \vfill
    \includegraphics[width=100px, keepaspectratio]{./images/PWr.png}
  \end{titlepage}
}
\pagestyle{fancy}
\fancyhf{}
\headheight = 30pt
\rhead{\MakeUppercase{\@author}}
\lhead{\leftmark}
\lfoot{\@title}
\rfoot{Strona \thepage}
\renewcommand{\headrulewidth}{1pt}
\renewcommand{\footrulewidth}{0.5pt}
\makeatother
